# SendLocation - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send / SendLocation

# SendLocation

(common) `data class SendLocation : SendMessageRequest<ContentMessage<LocationContent>>, ReplyingMarkupSendMessageRequest<ContentMessage<LocationContent>>, PositionedSendMessageRequest<ContentMessage<LocationContent>>` (source)

### Constructors

(common)

#### <init>

`SendLocation(chatId: ChatIdentifier, latitude: Double, longitude: Double, livePeriod: Long? = null, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null)`

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### disableNotification

`val disableNotification: Boolean`

(common)

#### latitude

`val latitude: Double`

(common)

#### livePeriod

`val livePeriod: Long?`

(common)

#### longitude

`val longitude: Double`

(common)

#### replyMarkup

`val replyMarkup: KeyboardMarkup?`

(common)

#### replyToMessageId

`val replyToMessageId: MessageIdentifier?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<ContentMessage<LocationContent>>`

### Functions

(common)

#### method

`fun method(): String`